:root {
  --sifency-addons-border-color: #f4f4f4;
  --sifency-addons-themecolor: #007bff;
  --sifency-addons-whitecolor: #ffffff;
}

body #wpadminbar {
  z-index: 111111 !important;
}

.admin-bar.logged-in #sifency-custom-header {
  top: 32px !important;
}

@media screen and (max-width: 782px) {
  .admin-bar.logged-in #sifency-custom-header {
    top: 46px !important;
  }
}

.text-underline-animation span,
.text_underline_animation span {
  position: relative;
  display: inline-block;
}

.text-underline-animation span::after,
.text_underline_animation span::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: currentColor;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s;
}

.text-underline-animation span:hover::after,
.text_underline_animation span:hover::after {
  transform: scaleX(1);
  transform-origin: right;
}

.sifency-hl-text {
  background-color: var(--sifency-addons-themecolor);
  color: #fff;
}

.sifency-offcanvas-close-btn-tb,
.sifency-auto-popup-close,
.sifency-modal-close,
.sifency-popup-close,
.sifency-video-modal-close {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  z-index: 100001;
  opacity: 0;
  visibility: hidden;
  animation: 0.5s 2s forwards sifencyFadeIn;
  display: flex;
  align-items: center;
  justify-content: center;
}

.sifency-offcanvas-close-btn-tb:hover,
.sifency-auto-popup-close:hover,
.sifency-modal-close:hover,
.sifency-popup-close:hover,
.sifency-video-modal-close:hover {
  transform: scale(1.1);
  transition: transform 0.3s;
}

@keyframes sifencyFadeIn {
  to {
    opacity: 1;
    visibility: visible;
  }
}

.sf-free-map-wrapper {
  width: 100%;
}

.sf-free-map-iframe {
  position: relative;
  width: 100%;
  line-height: 0;
}

.sf-free-map-iframe iframe {
  pointer-events: auto;
}

.sifency-image-container img {
  object-fit: cover;
}